package fglrx (not installed) failed to install/upgrade: make returns error: mixed implicit and normal rules

Bug #555957 reported by The First Fantasy on 2010-04-05
This bug affects 27 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)

Bug Description

Occured while trying to build the fglrx kernel module. It said to check the make.log in the DKMS build directory, so I've attached that.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx (not installed)
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic
Uname: Linux 2.6.32-19-generic x86_64
Architecture: amd64
Date: Mon Apr 5 15:07:04 2010
 virtualbox-ose, 3.1.4, 2.6.32-19-generic, x86_64: installed
 virtualbox-ose, 3.1.4, 2.6.32-16-generic, x86_64: installed
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
MachineType: System manufacturer System Product Name
PackageVersion: 2:8.721-0ubuntu7
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-19-generic root=UUID=1eae8627-f8ae-42ec-8e7e-fbd8ca2caee2 ro crashkernel=384M-2G:64M,2G-:128M quiet splash
SourcePackage: fglrx-installer
Title: package fglrx (not installed) failed to install/upgrade: fglrx kernel module failed to build 10/28/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2205
dmi.board.asset.tag: To Be Filled By O.E.M. M4A79T Deluxe
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2205:bd10/28/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A79TDeluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-19-generic

The First Fantasy (animestome) wrote :

This may occur as a result of using pentium-builder wrapper around gcc:

Timo Aaltonen (tjaalton) on 2011-02-21
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

I agree this sounds similar to bug 180831.

Could someone who can still reproduce this bug please run these commands:

  cc --version
  gcc --version

and attach the output to the bug? Once attached, please mark the bug as Confirmed again.

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Incomplete (kdimou) wrote :

cc --version
gcc.real (Ubuntu 4.4.3-4ubuntu5) 4.4.3

gcc --version
gcc.real (Ubuntu 4.4.3-4ubuntu5) 4.4.3

Changed in fglrx-installer (Ubuntu):
status: Incomplete → Confirmed
Dale Bowley (dale.bowley) wrote :

Using Catalyst 12-1 on Ubuntu 11.04 x86_64; Radeon HD 5450

When I did:
# sudo aticonfig --initial -f (amdconfig cmd not found)

# Uninitialized file found, configuring
# Fail to link to, please check whether driver is installed correctly
# Using /etc/X11/xorg.conf
# Saving back-up to /etc/X11/xorg.conf.fglrx-0 (kdimou) wrote :

$ sudo aticonfig --initial -f
[sudo] password for kdimou:
Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.fglrx-1


Upon the regular update I got the following:

E: fglrx: subprocess installed post-installation script returned error exit status 10
E: fglrx-amdcccle: dependency problems - leaving unconfigured
E: xorg-driver-fglrx: dependency problems - leaving unconfigured

Alberto Milone (albertomilone) wrote :

Is this still a problem?

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Incomplete (kdimou) wrote :

Unfortunatelly yes!
I have stopped trying to update the OS.

Launchpad Janitor (janitor) wrote :

[Expired for fglrx-installer (Ubuntu) because there has been no activity for 60 days.]

Changed in fglrx-installer (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.